Package org.drinkless.tdlib

# Class TdApi.CallbackQueryPayloadDataWithPassword

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallbackQueryPayload
org.drinkless.tdlib.TdApi.CallbackQueryPayloadDataWithPassword

Enclosing class:
  `TdApi`

public static class TdApi.CallbackQueryPayloadDataWithPassword extends TdApi.CallbackQueryPayload
The payload for a callback button requiring password.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CallbackQueryPayload

  `TdApi.CallbackQueryPayload.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  Data that was attached to the callback button.
  `String`
  `password`
  The 2-step verification password for the current user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallbackQueryPayloadDataWithPassword()`
  The payload for a callback button requiring password.
  `CallbackQueryPayloadDataWithPassword(String password, byte[] data)`
  The payload for a callback button requiring password.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### password

    public String password
    The 2-step verification password for the current user.

  - ### data

    public byte[] data
    Data that was attached to the callback button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallbackQueryPayloadDataWithPassword

    public CallbackQueryPayloadDataWithPassword()
    The payload for a callback button requiring password.

  - ### CallbackQueryPayloadDataWithPassword

    public CallbackQueryPayloadDataWithPassword(String password, byte[] data)
    The payload for a callback button requiring password.
    Parameters:
      `password` - The 2-step verification password for the current user.
      `data` - Data that was attached to the callback button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CallbackQueryPayload`
    Returns:
      this.CONSTRUCTOR